Create Folder

Creates a new folder.

Valid Authentication Methods

API Key Grants:

  • FolderEdit

OAuth 2.0 User Token Scopes:

  • folder
  • lucidchart.document.app.folder
  • lucidspark.document.app.folder
  • lucidscale.document.app.folder

Create a new folder.


Valid Authentication Methods

API Key Grants:

  • FolderEdit

OAuth 2.0 User Token and Account Token Scopes:

  • folder
  • lucidchart.document.app.folder
  • lucidspark.document.app.folder
  • lucidscale.document.app.folder

Body Params
string
required

Name of the folder being created.

string
enum
required
  • folder - Folders can live in other folders, team folders, or the root of a user’s folder manager ("My Documents"). A folder in "My Documents" will have a null parent field.
  • team - Team folders can never live in another folder and are always located in the "Team Folders" section of a user's folder manager. Team folders will not have a parent field. Learn more
Allowed:

Destination folder, repository, or Team to create the new folder in. For repositories, use the repository ID prefixed with repo_ (e.g., repo_12345). For Teams, use the Team ID prefixed with team_ (e.g., team_99), which creates the folder in the root of that Team. For folders, use the numeric folder ID. If it is not provided, the folder will be created in the root of the user's folder manager ("My Documents"). Ignored when appFolder is set to true.


Numeric folder ID.

string
deprecated

Deprecated. Team whose root should contain the new folder, as an ID prefixed with team_; the legacy numeric team ID is also accepted. Use parent with a team_-prefixed Team ID instead. Cannot be provided together with a Team parent.

boolean

When set to true, the folder is created inside the OAuth2 client's app project folder, overriding the parent field. Required when using a document.app.folder scope without a folder scope.

Responses

400

Bad Request. A team folder cannot be created within another folder or team. Both a Team parent and a team were provided. Invalid parent ID. Must be a number (for folders), a string prefixed with repo_ (for repositories), or a string prefixed with team_ (for Teams). When using a document.app.folder scope, appFolder must be set to true.

403

Forbidden if the request is not authorized to create in the specified parent folder, repository, or Team, if the specified Team does not exist, or when using a document.app.folder scope without setting appFolder to true.

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json